<%
response.expires = 0
%>
<HTML>
   <HEAD>
      <TITLE>{%title%}</TITLE>
      <!-- This code can be reused as long as this copyright notice is not removed -->
      <!-- Copyright 1999 InsideDHTML.com, LLC.  All rights reserved. 
           See www.siteexperts.com for more information.
      -->
      <STYLE TYPE="text/css">
         .today {color:navy; font-weight:bold}
         .days {font-weight:bold; font-face:arial; font-size:12px;}
		 .selected {color:red; font-weight:bold;}
		 .time {margin-left: 5px; margin-top:5px; margin-bottom: 5px;}
		 td {font-size:12px;}
      </STYLE>
      <SCRIPT LANGUAGE="JavaScript">
         // Initialize arrays.
         var months = new Array("January", "February", "March",
            "April", "May", "June", "July", "August", "September",
            "October", "November", "December");
         var daysInMonth = new Array(31, 28, 31, 30, 31, 30, 31, 31,
            30, 31, 30, 31);
         var days = new Array("Monday", "Tuesday",
            "Wednesday", "Thursday", "Friday", "Saturday", "Sunday");
		 var time = {%str:time%};

         function getDays(month, year) {
            // Test for leap year when February is selected.
            if (1 == month)
               return ((0 == year % 4) && (0 != (year % 100))) ||
                  (0 == year % 400) ? 29 : 28;
            else
               return daysInMonth[month];
         }

         function getToday() {
            // Generate today's date.
            this.now = new Date();
            this.year = this.now.getFullYear();
            this.month = this.now.getMonth();
            this.day = this.now.getDate();
         }

         // Start with a calendar for today.
         today = new getToday();

		 function init() {
			today = new getToday();	
			//initialize input
			if (window.dialogArguments)
			{

				date_time = window.dialogArguments.split(" ");
				if (date_time.length==2)
				{
					date_array = date_time[0].split("-");
					time_array = date_time[1].split(":");
					current = new Date(date_array[0],date_array[1]-1,date_array[2]);
				}
				else
				{
					date_array = Array(today.year, today.month, today.day);
					time_array = Array("00","00","00");
					current = today.now;
				}

				if (current!="NaN")
				{
					//if ((today.year == current.getFullYear()) &&
					//	  (today.month == current.getMonth()))
					document.all.year.value = date_array[0];
					document.all.month.selectedIndex = date_array[1]-1;

					if (time && time_array.length==3)
					{
						document.all.hours.value = time_array[0];
						document.all.minutes.value = time_array[1];
						document.all.seconds.value = time_array[2];
					}

					window.selecteddate = current.getDate();
					window.selectedmonth = parseInt(date_array[1]);
					window.selectedyear = date_array[0];
				}
				else
				{
					window.selecteddate = today.day;
					window.selectedmonth = today.month;
					window.selectedyear = today.year;
				}
			}
		 }

         function newCalendar() {
			today = new getToday();			
            var parseYear = parseInt(document.all.year
               [document.all.year.selectedIndex].text);
            var newCal = new Date(parseYear,
               document.all.month.selectedIndex, 1);
            var day = -1;
            var startDay = newCal.getDay();
			if (startDay==0) startDay=6;
			else startDay = startDay-1;
            var daily = 0;
			var selected = 0;
            if ((today.year == newCal.getFullYear()) &&
                  (today.month == newCal.getMonth()))
               day = today.day;
            // Cache the calendar table's tBody section, dayList.
            var tableCal = document.all.calendar.tBodies.dayList;
            var intDaysInMonth =
               getDays(newCal.getMonth(), newCal.getFullYear());
            for (var intWeek = 0; intWeek < tableCal.rows.length;
                  intWeek++)
               for (var intDay = 0;
                     intDay < tableCal.rows[intWeek].cells.length;
                     intDay++) {
                  var cell = tableCal.rows[intWeek].cells[intDay];

                  // Start counting days.
                  if ((intDay == startDay) && (0 == daily))
                     daily = 1;

                  // Highlight the current day.
                  //cell.className = (day == daily) ? "today" : "";
				  if (day == daily) cell.className = "today";
				  else if (selected==0) cell.className = "";

				  if (document.all.year.value == window.selectedyear && document.all.month.selectedIndex == window.selectedmonth)
				  {
					  // Highlight selected day
					  //cell.className = (window.selecteddate == daily) ? "selected" : "";
					  if (window.selecteddate == daily) 
					  {
						cell.className = "selected";
						selected = daily;
					  }
				  }

                  // Output the day number into the cell.
                  if ((daily > 0) && (daily <= intDaysInMonth))
                     cell.innerText = daily++;
                  else
                     cell.innerText = "";
               }
         }

         function getDate() {
		 	var sDate;
            // This code executes when the user clicks on a day
            // in the calendar.
            if ("TD" == event.srcElement.tagName)
               // Test whether day is valid.
               if ("" != event.srcElement.innerText)
                  //alert(event.srcElement.innerText);
				  //sDate = document.all.month.value + "/" + event.srcElement.innerText + "/" + document.all.year.value;
				  z1 = "";
				  z2 = "";
				  if (parseInt(document.all.month.value)<10) z1 = "0";
				  if (parseInt(event.srcElement.innerText)<10) z2 = "0";
				  sDate = document.all.year.value + "-" + z1 + document.all.month.value + "-" + z2 + event.srcElement.innerText;
				  if (time) sDate += " " + document.all.hours.value + ":" + document.all.minutes.value + ":" + document.all.seconds.value;
				  document.all.ret.value = sDate;
 		  		  window.close();
         }
      </SCRIPT>
   </HEAD>
   <BODY ONLOAD="init(); newCalendar()" OnUnload="window.returnValue = document.all.ret.value;" bgcolor="#FFFFFF">
   <input type="hidden" name="ret">
      <TABLE ID="calendar">
         <THEAD>
            <TR>
               <TD COLSPAN=7 ALIGN=CENTER>
                  <font size="2" face="Arial">
                  <!-- Month combo box -->
                  <SELECT ID="month" ONCHANGE="newCalendar()">
                     <SCRIPT LANGUAGE="JavaScript">
                        // Output months into the document.
                        // Select current month.
                        for (var intLoop = 0; intLoop < months.length;
                              intLoop++)
                           document.write("<OPTION VALUE= " + (intLoop + 1) + " " +
                              (today.month == intLoop ?
                                 "Selected" : "") + ">" +
                              months[intLoop]);
                     </SCRIPT>
                  </SELECT>

                  <!-- Year combo box -->
                  <SELECT ID="year" ONCHANGE="newCalendar()">
                     <SCRIPT LANGUAGE="JavaScript">
                        // Output years into the document.
                        // Select current year.
                        for (var intLoop = today.year - 30; intLoop < (today.year + 30);
                              intLoop++)
                           document.write("<OPTION VALUE= " + intLoop + " " +
                              (today.year == intLoop ?
                                 "Selected" : "") + ">" +
                              intLoop);
                     </SCRIPT>
                  </SELECT>
                  </font>
               </TD>
            </TR>
            <TR CLASS="days">
               <!-- Generate column for each day. -->
               <SCRIPT LANGUAGE="JavaScript">
                  // Output days.
                  for (var intLoop = 0; intLoop < days.length;
                        intLoop++)
                     document.write("<TD>" + days[intLoop] + "</TD>");
               </SCRIPT>
            </TR>
         </THEAD>
         <TBODY ID="dayList"ALIGN=CENTER ONCLICK="getDate()">
            <!-- Generate grid for individual days. -->
            <SCRIPT LANGUAGE="JavaScript">
               for (var intWeeks = 0; intWeeks < 6; intWeeks++) {
                  document.write("<TR>");
                  for (var intDays = 0; intDays < days.length;
                        intDays++)
                     document.write("<TD></TD>");
                  document.write("</TR>");
               }
            </SCRIPT>
         </TBODY>
      </TABLE>
	  <div id="time" class="time">
	  <b>Time:</b><br/>
			Hours: <select id="hours" name="hours">
            <!-- Generate grid for individual days. -->
            <SCRIPT LANGUAGE="JavaScript">
               for (var hours = 0; hours < 24; hours++) {
				  if (hours<10) z = "0";
				  else z = "";
                  document.write("<option value="+z+hours+">");
                  document.write(hours);
                  document.write("</option>");
               }
            </SCRIPT>
			</select>

			Minutes: <select id="minutes" name="minutes">
            <!-- Generate grid for individual days. -->
            <SCRIPT LANGUAGE="JavaScript">
               for (var minutes = 0; minutes < 60; minutes++) {
				  if (minutes<10) z = "0";
				  else z = "";
                  document.write("<option value="+z+minutes+">");
                  document.write(minutes);
                  document.write("</option>");
               }
            </SCRIPT>
			</select>

			Seconds: <select id="seconds" name="seconds">
            <!-- Generate grid for individual days. -->
            <SCRIPT LANGUAGE="JavaScript">
               for (var seconds = 0; seconds < 60; seconds++) {
				  if (seconds<10) z = "0";
				  else z = "";
                  document.write("<option value="+z+seconds+">");
                  document.write(seconds);
                  document.write("</option>");
               }
            </SCRIPT>
			</select>
	  </div>
	  <center><font size="2" face="Arial"><Input Style="width:50pt" type=button value="OK" OnClick="OK();"> <Input Style="width:50pt" type=button value="Cancel" OnClick="Cancel();"></font></center>
   </BODY>
</HTML>

<Script Language="JavaScript1.2">
	if (!time) document.all.time.style.display = "none";
	function OK() {
		z1 = "";
		z2 = "";
		if (parseInt(window.selectedmonth)<10) z1 = "0";
		if (parseInt(window.selecteddate)<10) z2 = "0";
		sDate = window.selectedyear + "-" + z1 + window.selectedmonth + "-" + z2 + window.selecteddate;
		if (time) sDate += " " + document.all.hours.value + ":" + document.all.minutes.value + ":" + document.all.seconds.value;
		document.all.ret.value = sDate;
 		window.close();
	}
	function Cancel() {
		document.all.ret.value = "";
		window.close();
	}

</script>
